KSMetaData (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.config
Class KSMetaData

    java.lang.Object
      org.apache.cassandra.config.KSMetaData

    public final class KSMetaData

extends java.lang.Object

Field Summary
`boolean` | `durableWrites`
`java.lang.String` | `name`
`java.lang.Class<? extends AbstractReplicationStrategy>` | `strategyClass`
`java.util.Map<java.lang.String,java.lang.String>` | `strategyOptions`

Method Summary
`java.util.Map<java.lang.String,CFMetaData>` | `cfMetaData()`
`static KSMetaData` | `cloneWith(KSMetaData ksm, java.lang.Iterable<CFMetaData> cfDefs)`
`static java.lang.String` | `convertOldStrategyName(java.lang.String name)`
`boolean` | `equals(java.lang.Object obj)`
`static java.util.Map<java.lang.String,java.lang.String>` | `forwardsCompatibleOptions(KsDef ks_def)`
`static KSMetaData` | `fromAvro(org.apache.cassandra.db.migration.avro.KsDef ks)`
`static KSMetaData` | `fromThrift(KsDef ksd, CFMetaData... cfDefs)`
`int` | `hashCode()`
`static java.util.Map<java.lang.String,java.lang.String>` | `optsWithRF(java.lang.Integer rf)`
`static KSMetaData` | `systemKeyspace()`
`static KSMetaData` | `testMetadata(java.lang.String name, java.lang.Class<? extends AbstractReplicationStrategy> strategyClass, java.util.Map<java.lang.String,java.lang.String> strategyOptions, CFMetaData... cfDefs)`
`static KSMetaData` | `testMetadataNotDurable(java.lang.String name, java.lang.Class<? extends AbstractReplicationStrategy> strategyClass, java.util.Map<java.lang.String,java.lang.String> strategyOptions, CFMetaData... cfDefs)`
`org.apache.cassandra.db.migration.avro.KsDef` | `toAvro()`
`java.lang.String` | `toString()`
`KsDef` | `toThrift()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public final java.lang.String name

### strategyClass

    public final java.lang.Class<? extends AbstractReplicationStrategy> strategyClass

### strategyOptions

    public final java.util.Map<java.lang.String,java.lang.String> strategyOptions

### durableWrites

    public final boolean durableWrites

Method Detail

### cloneWith

    public static KSMetaData cloneWith(KSMetaData ksm,
                                       java.lang.Iterable<CFMetaData> cfDefs)

### systemKeyspace

    public static KSMetaData systemKeyspace()

### testMetadata

    public static KSMetaData testMetadata(java.lang.String name,
                                          java.lang.Class<? extends AbstractReplicationStrategy> strategyClass,
                                          java.util.Map<java.lang.String,java.lang.String> strategyOptions,
                                          CFMetaData... cfDefs)

### testMetadataNotDurable

    public static KSMetaData testMetadataNotDurable(java.lang.String name,
                                                    java.lang.Class<? extends AbstractReplicationStrategy> strategyClass,
                                                    java.util.Map<java.lang.String,java.lang.String> strategyOptions,
                                                    CFMetaData... cfDefs)

### forwardsCompatibleOptions

    public static java.util.Map<java.lang.String,java.lang.String> forwardsCompatibleOptions(KsDef ks_def)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### cfMetaData

    public java.util.Map<java.lang.String,CFMetaData> cfMetaData()

### toAvro

    public org.apache.cassandra.db.migration.avro.KsDef toAvro()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### fromAvro

    public static KSMetaData fromAvro(org.apache.cassandra.db.migration.avro.KsDef ks)

### convertOldStrategyName

    public static java.lang.String convertOldStrategyName(java.lang.String name)

### optsWithRF

    public static java.util.Map<java.lang.String,java.lang.String> optsWithRF(java.lang.Integer rf)

### fromThrift

    public static KSMetaData fromThrift(KsDef ksd,
                                        CFMetaData... cfDefs)
                                 throws ConfigurationException

  Throws:
    `ConfigurationException`

### toThrift

    public KsDef toThrift()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation